Issue1410

classification
Title: print doesn't work without the stdlib on Windows
Type: Severity: normal
Components: Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amak, cgroves, flawlor
Priority: Keywords:

Created on 2009-07-25.20:43:33 by cgroves, last changed 2012-03-19.20:07:30 by amak.

Messages
msg4941 (view) Author: Charlie Groves (cgroves) Date: 2009-07-25.20:43:33
See Frank Lawlor's report at 
http://article.gmane.org/gmane.comp.lang.jython.user/7994

I'm guessing Windows defaults to using cp1252, so if we included it as a 
builtin codec like utf-8, things would be happy.
msg4950 (view) Author: Frank (flawlor) Date: 2009-07-27.13:55:16
I think the problem goes beyoin print.
In general, it doesn't seem to find any of the .py files in the lib 
directory.

I am using Java 1.6.0_10
msg4952 (view) Author: Charlie Groves (cgroves) Date: 2009-07-27.17:14:00
That's to be expected if you haven't told Jython where to find Lib.  If 
you use the jython script, set python.home or add Lib to sys.path, 
Jython should be able to import from Lib.  If that isn't the case, 
please file another bug.  

This bug is about when only jython.jar is available.  All of the builtin 
functions and modules should still work, but print is failing here 
because it's expecting a codec that's only available in Lib.
msg4953 (view) Author: Frank (flawlor) Date: 2009-07-27.17:54:48
I want to be able to give people my app without expecting them to
install python.  I want some set of jars which contain everything I need
from python.

Frank Lawlor
Enterprise Architect
netSpend Corp.
512-532-8216
msg5029 (view) Author: Charlie Groves (cgroves) Date: 2009-08-15.20:47:17
If you include a jar containing the .py files on the classpath, Jython 
will find them.
msg5051 (view) Author: Frank (flawlor) Date: 2009-08-17.16:08:00
Works.  Thanks.

Frank Lawlor
Enterprise Architect
netSpend Corp.
512-532-8216
msg6853 (view) Author: Alan Kennedy (amak) Date: 2012-03-19.20:07:30
This issue was addressed by cgroves 2.5 years ago: requester says "Works. Thanks".
History
Date User Action Args
2012-03-19 20:07:30amaksetstatus: open -> closed
resolution: fixed
messages: + msg6853
nosy: + amak
2009-08-17 16:08:01flawlorsetmessages: + msg5051
2009-08-15 20:47:17cgrovessetmessages: + msg5029
2009-07-27 17:54:48flawlorsetmessages: + msg4953
2009-07-27 17:14:00cgrovessetmessages: + msg4952
2009-07-27 13:55:17flawlorsetnosy: + flawlor
messages: + msg4950
2009-07-25 20:43:33cgrovescreate